FLAIM: Query Configuration

- Main Page
- Modules
- Classes
- Files

# Query Configuration
[Query Functions]

## Functions
FLMEXP RCODE FLMAPI | FlmCursorConfig (HFCURSOR hCursor, eCursorConfigType eConfigType, void *pvValue1, void *pvValue2)
| Configure a query object.
FLMEXP RCODE FLMAPI | FlmCursorGetConfig (HFCURSOR hCursor, eCursorGetConfigType eGetConfigType, void *pvValue1, void *pvValue2)
| Get query configuration.
FLMEXP RCODE FLMAPI | FlmCursorSetOrderIndex (HFCURSOR hCursor, FLMUINT *puiFieldPaths, FLMUINT *puiIndex)
| Set order index for a query.
FLMEXP RCODE FLMAPI | FlmCursorSetMode (HFCURSOR hCursor, FLMUINT uiFlags)
| Set mode for string comparison operations in query criteria.

## Function Documentation

FLMEXP RCODE FLMAPI FlmCursorConfig | ( | HFCURSOR | hCursor,
|  | eCursorConfigType | eConfigType,
|  | void * | pvValue1,
|  | void * | pvValue2
| ) |

  | Configure a query object. Parameters:
  hCursor | Handle to query object that is to be configured.
  eConfigType | Specifies what is to be configured in the query object.
  pvValue1 | Configuration parameter - depends on eConfigType - see documentation on eCursorConfigType.
  pvValue2 | Configuration parameter - depends on eConfigType - see documentation on eCursorConfigType.

FLMEXP RCODE FLMAPI FlmCursorGetConfig | ( | HFCURSOR | hCursor,
|  | eCursorGetConfigType | eGetConfigType,
|  | void * | pvValue1,
|  | void * | pvValue2
| ) |

  | Get query configuration. Parameters:
  hCursor | Handle to query object whose configuration information is to be retrieved.
  eGetConfigType | Specifies what configuration information is to be retrieved.
  pvValue1 | Configuration parameter - depends on eGetConfigType - see documentation on eCursorGetConfigType.
  pvValue2 | Configuration parameter - depends on eGetConfigType - see documentation on eCursorGetConfigType.

FLMEXP RCODE FLMAPI FlmCursorSetMode | ( | HFCURSOR | hCursor,
|  | FLMUINT | uiFlags
| ) |

  | Set mode for string comparison operations in query criteria. Parameters:
  hCursor | Handle to query object whose order index is to be set.
  uiFlags | Mode flags to be set for the query. Multiple flags may be ORed together. Valid flags are as follows: FLM_WILD - Treat '*' as a wildcard FLM_NOCASE - Case-insensitive comparison FLM_NO_SPACE - Ignore all white space FLM_NO_DASH - Ignore all dash characters (-) FLM_NO_UNDERSCORE - Treat underscores as white space FLM_MIN_SPACES - Ignore leading and trailing white space, and compress consecutive white space into a single space character

FLMEXP RCODE FLMAPI FlmCursorSetOrderIndex | ( | HFCURSOR | hCursor,
|  | FLMUINT * | puiFieldPaths,
|  | FLMUINT * | puiIndex
| ) |

  | Set order index for a query. Parameters:
  hCursor | Handle to query object whose order index is to be set.
  puiFieldPaths | List of field paths that specify the desired ordering. Each field path is terminated with a single zero, and the entire list is terminated by two zeroes.
  puiIndex | Index is returned here. If zero is returned, it means that no index could be found that matched the specified field order.